# coding: utf-8

from __future__ import absolute_import
from datetime import date, datetime  # noqa: F401

from typing import List, Dict  # noqa: F401

from swagger_server.models.base_model_ import Model
from swagger_server import util


class SensorReadings(Model):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """
    def __init__(self, timestamp: int=None, pressure_mix_chamber: int=None, air_flow: float=None, pressure_lung: int=None, valve_status_interval_sec: float=None, compressor_valve_open_ratio: float=None, oxygen_valve_open_ratio: float=None, inspiration_valve_open_ratio: float=None, expiration_valve_open_ratio: float=None):  # noqa: E501
        """SensorReadings - a model defined in Swagger

        :param timestamp: The timestamp of this SensorReadings.  # noqa: E501
        :type timestamp: int
        :param pressure_mix_chamber: The pressure_mix_chamber of this SensorReadings.  # noqa: E501
        :type pressure_mix_chamber: int
        :param air_flow: The air_flow of this SensorReadings.  # noqa: E501
        :type air_flow: float
        :param pressure_lung: The pressure_lung of this SensorReadings.  # noqa: E501
        :type pressure_lung: int
        :param valve_status_interval_sec: The valve_status_interval_sec of this SensorReadings.  # noqa: E501
        :type valve_status_interval_sec: float
        :param compressor_valve_open_ratio: The compressor_valve_open_ratio of this SensorReadings.  # noqa: E501
        :type compressor_valve_open_ratio: float
        :param oxygen_valve_open_ratio: The oxygen_valve_open_ratio of this SensorReadings.  # noqa: E501
        :type oxygen_valve_open_ratio: float
        :param inspiration_valve_open_ratio: The inspiration_valve_open_ratio of this SensorReadings.  # noqa: E501
        :type inspiration_valve_open_ratio: float
        :param expiration_valve_open_ratio: The expiration_valve_open_ratio of this SensorReadings.  # noqa: E501
        :type expiration_valve_open_ratio: float
        """
        self.swagger_types = {
            'timestamp': int,
            'pressure_mix_chamber': int,
            'air_flow': float,
            'pressure_lung': int,
            'valve_status_interval_sec': float,
            'compressor_valve_open_ratio': float,
            'oxygen_valve_open_ratio': float,
            'inspiration_valve_open_ratio': float,
            'expiration_valve_open_ratio': float
        }

        self.attribute_map = {
            'timestamp': 'timestamp',
            'pressure_mix_chamber': 'pressureMixChamber',
            'air_flow': 'airFlow',
            'pressure_lung': 'pressureLung',
            'valve_status_interval_sec': 'valveStatusIntervalSec',
            'compressor_valve_open_ratio': 'compressorValveOpenRatio',
            'oxygen_valve_open_ratio': 'oxygenValveOpenRatio',
            'inspiration_valve_open_ratio': 'inspirationValveOpenRatio',
            'expiration_valve_open_ratio': 'expirationValveOpenRatio'
        }
        self._timestamp = timestamp
        self._pressure_mix_chamber = pressure_mix_chamber
        self._air_flow = air_flow
        self._pressure_lung = pressure_lung
        self._valve_status_interval_sec = valve_status_interval_sec
        self._compressor_valve_open_ratio = compressor_valve_open_ratio
        self._oxygen_valve_open_ratio = oxygen_valve_open_ratio
        self._inspiration_valve_open_ratio = inspiration_valve_open_ratio
        self._expiration_valve_open_ratio = expiration_valve_open_ratio

    @classmethod
    def from_dict(cls, dikt) -> 'SensorReadings':
        """Returns the dict as a model

        :param dikt: A dict.
        :type: dict
        :return: The sensorReadings of this SensorReadings.  # noqa: E501
        :rtype: SensorReadings
        """
        return util.deserialize_model(dikt, cls)

    @property
    def timestamp(self) -> int:
        """Gets the timestamp of this SensorReadings.


        :return: The timestamp of this SensorReadings.
        :rtype: int
        """
        return self._timestamp

    @timestamp.setter
    def timestamp(self, timestamp: int):
        """Sets the timestamp of this SensorReadings.


        :param timestamp: The timestamp of this SensorReadings.
        :type timestamp: int
        """

        self._timestamp = timestamp

    @property
    def pressure_mix_chamber(self) -> int:
        """Gets the pressure_mix_chamber of this SensorReadings.


        :return: The pressure_mix_chamber of this SensorReadings.
        :rtype: int
        """
        return self._pressure_mix_chamber

    @pressure_mix_chamber.setter
    def pressure_mix_chamber(self, pressure_mix_chamber: int):
        """Sets the pressure_mix_chamber of this SensorReadings.


        :param pressure_mix_chamber: The pressure_mix_chamber of this SensorReadings.
        :type pressure_mix_chamber: int
        """

        self._pressure_mix_chamber = pressure_mix_chamber

    @property
    def air_flow(self) -> float:
        """Gets the air_flow of this SensorReadings.


        :return: The air_flow of this SensorReadings.
        :rtype: float
        """
        return self._air_flow

    @air_flow.setter
    def air_flow(self, air_flow: float):
        """Sets the air_flow of this SensorReadings.


        :param air_flow: The air_flow of this SensorReadings.
        :type air_flow: float
        """

        self._air_flow = air_flow

    @property
    def pressure_lung(self) -> int:
        """Gets the pressure_lung of this SensorReadings.


        :return: The pressure_lung of this SensorReadings.
        :rtype: int
        """
        return self._pressure_lung

    @pressure_lung.setter
    def pressure_lung(self, pressure_lung: int):
        """Sets the pressure_lung of this SensorReadings.


        :param pressure_lung: The pressure_lung of this SensorReadings.
        :type pressure_lung: int
        """

        self._pressure_lung = pressure_lung

    @property
    def valve_status_interval_sec(self) -> float:
        """Gets the valve_status_interval_sec of this SensorReadings.


        :return: The valve_status_interval_sec of this SensorReadings.
        :rtype: float
        """
        return self._valve_status_interval_sec

    @valve_status_interval_sec.setter
    def valve_status_interval_sec(self, valve_status_interval_sec: float):
        """Sets the valve_status_interval_sec of this SensorReadings.


        :param valve_status_interval_sec: The valve_status_interval_sec of this SensorReadings.
        :type valve_status_interval_sec: float
        """

        self._valve_status_interval_sec = valve_status_interval_sec

    @property
    def compressor_valve_open_ratio(self) -> float:
        """Gets the compressor_valve_open_ratio of this SensorReadings.


        :return: The compressor_valve_open_ratio of this SensorReadings.
        :rtype: float
        """
        return self._compressor_valve_open_ratio

    @compressor_valve_open_ratio.setter
    def compressor_valve_open_ratio(self, compressor_valve_open_ratio: float):
        """Sets the compressor_valve_open_ratio of this SensorReadings.


        :param compressor_valve_open_ratio: The compressor_valve_open_ratio of this SensorReadings.
        :type compressor_valve_open_ratio: float
        """

        self._compressor_valve_open_ratio = compressor_valve_open_ratio

    @property
    def oxygen_valve_open_ratio(self) -> float:
        """Gets the oxygen_valve_open_ratio of this SensorReadings.


        :return: The oxygen_valve_open_ratio of this SensorReadings.
        :rtype: float
        """
        return self._oxygen_valve_open_ratio

    @oxygen_valve_open_ratio.setter
    def oxygen_valve_open_ratio(self, oxygen_valve_open_ratio: float):
        """Sets the oxygen_valve_open_ratio of this SensorReadings.


        :param oxygen_valve_open_ratio: The oxygen_valve_open_ratio of this SensorReadings.
        :type oxygen_valve_open_ratio: float
        """

        self._oxygen_valve_open_ratio = oxygen_valve_open_ratio

    @property
    def inspiration_valve_open_ratio(self) -> float:
        """Gets the inspiration_valve_open_ratio of this SensorReadings.


        :return: The inspiration_valve_open_ratio of this SensorReadings.
        :rtype: float
        """
        return self._inspiration_valve_open_ratio

    @inspiration_valve_open_ratio.setter
    def inspiration_valve_open_ratio(self, inspiration_valve_open_ratio: float):
        """Sets the inspiration_valve_open_ratio of this SensorReadings.


        :param inspiration_valve_open_ratio: The inspiration_valve_open_ratio of this SensorReadings.
        :type inspiration_valve_open_ratio: float
        """

        self._inspiration_valve_open_ratio = inspiration_valve_open_ratio

    @property
    def expiration_valve_open_ratio(self) -> float:
        """Gets the expiration_valve_open_ratio of this SensorReadings.


        :return: The expiration_valve_open_ratio of this SensorReadings.
        :rtype: float
        """
        return self._expiration_valve_open_ratio

    @expiration_valve_open_ratio.setter
    def expiration_valve_open_ratio(self, expiration_valve_open_ratio: float):
        """Sets the expiration_valve_open_ratio of this SensorReadings.


        :param expiration_valve_open_ratio: The expiration_valve_open_ratio of this SensorReadings.
        :type expiration_valve_open_ratio: float
        """

        self._expiration_valve_open_ratio = expiration_valve_open_ratio
